DESKFLOW-SERVER(1)

NAME
deskflow-server - Keyboard and mouse sharing utility (Server)

SYNOPSIS
deskflow-server [OPTIONS]

DESCRIPTION
Keyboard and mouse sharing utility

OPTIONS

-h,--help
    Print this help message and exit

--config-toml TEXT
    Use TOML configuration file

Usage: deskflow-server --config <pathname> [--address <address>] [--display <display>] [--daemon|--no-daemon] [--name <screen-name>] [--restart|--no-restart] [--debug <level>]

Start the Deskflow mouse/keyboard sharing server.

-a, --address <address>
    listen for clients on the given address.

-c, --config <pathname>
    path of the configuration file

-d, --debug <level>
    filter out log messages with priority below level. level may be: FATAL, ERROR, WARNING, NOTE, INFO, DEBUG, DEBUG1, DEBUG2.

-n, --name <screen-name> use screen-name instead the hostname to identify
    this screen in the configuration.

-1, --no-restart
    do not try to restart on failure.

* --restart restart the server automatically if it fails.

-l  --log <file>
    write log messages to file.

--enable-crypto
    enable TLS encryption.

--tls-cert
    specify the path to the TLS certificate file.

--disable-client-cert-check disable client SSL certificate
    checking (deprecated)

-f, --no-daemon
    run in the foreground.

* --daemon run as a daemon.

-h, --help
    display this help and exit.

--version
    display version information and exit.

--display <display>
    when in X mode, connect to the X server at <display>.

* marks defaults.

The argument for --address is of the form: [<hostname>][:<port>]. The hostname must be the address or hostname of an interface on the system. The default is to listen on all interfaces. The port overrides the default port, 24800.

COPYRIGHT
Copyright © 2024-2025 Deskflow Devs
Copyright © 2012-2025 Symless Ltd.
Copyright © 2009-2012 Nick Bolton
Copyright © 2002-2009 Chris Schoeneman

SEE ALSO
deskflow(1), deskflow-client(1), deskflow-server(2)

All documentation is on the web, so please point your browser at <https://github.com/deskflow/deskflow/wiki> and surf away.